import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:taskservice/Model/JXMemberModel.dart';
import 'package:taskservice/database/DataBase.dart';
import 'package:taskservice/src/custom_widgets.dart';

class AccountListPage extends StatefulWidget {
  @override
  _AccountListPageState createState() => _AccountListPageState();
}

class _AccountListPageState extends State<AccountListPage> {
  List<JXMemberModel> members = [];
  @override
  Future<void> initState() async {
    super.initState();
    var db = await MyDataBase.database;
    members.addAll(await db.queryAllMembers());
    setState(() {});
  }

  @override
  Widget build(BuildContext context) {
    return MyScaffold(title: '会员列表', body: Column(children: <Widget>[
            SearchBar(hint: '快速筛选', onTextChanged: (value) {},),
            Expanded(child: ListView.builder(itemBuilder: (context, index) {
              if(index < members.length - 1) {
                JXMemberModel member = members[index];
                return Container(child: Column(children: <Widget>[
                  Row(children: <Widget>[
                    Text(member.name),
                    Text(member.tel),
                  ],)
                ],),);
              }
                return null;
            }),)
          ],
        ));
  }
}
